Hello community,
here is the log from the commit of package ha-cluster-bootstrap for
openSUSE:Factory checked in at 2013-10-06 14:34:45
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/ha-cluster-bootstrap (Old)
and /work/SRC/openSUSE:Factory/.ha-cluster-bootstrap.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Package is "ha-cluster-bootstrap"
Changes:
--------
---
/work/SRC/openSUSE:Factory/ha-cluster-bootstrap/ha-cluster-bootstrap.changes
2013-09-27 17:32:52.000000000 +0200
+++
/work/SRC/openSUSE:Factory/.ha-cluster-bootstrap.new/ha-cluster-bootstrap.changes
2013-10-06 14:34:46.000000000 +0200
@@ -1,0 +2,6 @@
+Wed Oct 2 14:12:08 UTC 2013 - [email protected]
+
+- Unify OCFS2 config with Hawk (bnc#821124) and remove o2cb
+- Upstream version cs:d194e13
+
+-------------------------------------------------------------------
Old:
----
sleha-bootstrap-0.4+git.1380195050.119bc91.tar.bz2
New:
----
sleha-bootstrap-0.4+git.1380722991.d194e13.tar.bz2
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ ha-cluster-bootstrap.spec ++++++
--- /var/tmp/diff_new_pack.snOl1U/_old 2013-10-06 14:34:47.000000000 +0200
+++ /var/tmp/diff_new_pack.snOl1U/_new 2013-10-06 14:34:47.000000000 +0200
@@ -18,7 +18,7 @@
Name: ha-cluster-bootstrap
-Version: 0.4+git.1380195050.119bc91
+Version: 0.4+git.1380722991.d194e13
Release: 0
Summary: Pacemaker HA Cluster Bootstrap Tool
License: GPL-2.0
@@ -31,7 +31,6 @@
Requires: pacemaker
Requires: pssh
Requires: util-linux
-Recommends: lvm2-clvm
Recommends: ocfs2-tools
# These three are required for ocfs2 setup, but not generic setup
Recommends: parted
++++++ _service ++++++
--- /var/tmp/diff_new_pack.snOl1U/_old 2013-10-06 14:34:47.000000000 +0200
+++ /var/tmp/diff_new_pack.snOl1U/_new 2013-10-06 14:34:47.000000000 +0200
@@ -4,7 +4,7 @@
<param name="scm">git</param>
<param name="exclude">.git</param>
<param name="versionformat">0.4+git.%ct.%h</param>
- <param name="revision">119bc91</param>
+ <param name="revision">d194e13</param>
</service>
<service name="recompress" mode="disabled">
++++++ sleha-bootstrap-0.4+git.1380195050.119bc91.tar.bz2 ->
sleha-bootstrap-0.4+git.1380722991.d194e13.tar.bz2 ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/sleha-bootstrap-0.4+git.1380195050.119bc91/scripts/ha-cluster-functions
new/sleha-bootstrap-0.4+git.1380722991.d194e13/scripts/ha-cluster-functions
--- old/sleha-bootstrap-0.4+git.1380195050.119bc91/scripts/ha-cluster-functions
2013-09-26 14:11:23.000000000 +0200
+++ new/sleha-bootstrap-0.4+git.1380722991.d194e13/scripts/ha-cluster-functions
2013-10-02 16:11:08.000000000 +0200
@@ -130,6 +130,8 @@
# on, warn the user that they'll need to configure things manually (the
# assumption here is that yast2-cluster is generally also installed, so that
# file should be present, and should be formatted reasonably sensibly).
+# TODO(should): Create /etc/sysconfig/SuSEfirewall2.d/services/cluster
+# as yast2-cluster isn't present on openSUSE 13.1
init_firewall()
{
# ports for csync2, mgmtd, hawk & dlm respectively
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/sleha-bootstrap-0.4+git.1380195050.119bc91/scripts/ha-cluster-init
new/sleha-bootstrap-0.4+git.1380722991.d194e13/scripts/ha-cluster-init
--- old/sleha-bootstrap-0.4+git.1380195050.119bc91/scripts/ha-cluster-init
2013-09-26 14:11:23.000000000 +0200
+++ new/sleha-bootstrap-0.4+git.1380722991.d194e13/scripts/ha-cluster-init
2013-10-02 16:11:08.000000000 +0200
@@ -242,6 +242,9 @@
}
totem {
version: 2
+ secauth: off
+ cluster_name: hacluster
+ clear_node_high_bit: yes
# Following are old corosync 1.4.x defaults from SLES
# token: 5000
@@ -250,8 +253,6 @@
# consensus: 6000
# vsftype: none
# max_messages: 20
-# clear_node_high_bit: yes
-# secauth: off
# threads: 0
crypto_cipher: none
@@ -505,8 +506,8 @@
}
# Non-generic, i.e. not for use with every type of cluster you can imagine:
-# creates specific cluster config (TODO: would be nice to template this in
-# future somehow)
+# creates specific cluster config (TODO: would be nice to just directly
+# use Hawk's wizard template instead of including config directly here)
init_vgfs()
{
[ -b "$OCFS2_DEVICE" ] || error "OCFS2 device $OCFS2_DEVICE does not
exist"
@@ -515,64 +516,50 @@
local tmp_conf=/tmp/crm.$$
cat > $tmp_conf <<END
primitive dlm ocf:pacemaker:controld \\
- op start timeout="90" op stop timeout="100"
-primitive clvm ocf:lvm2:clvmd \\
- op start timeout="90" op stop timeout="100"
-primitive cmirror ocf:lvm2:cmirrord \\
- op start timeout="90" op stop timeout="100"
-primitive o2cb ocf:ocfs2:o2cb \\
- op start timeout="90" op stop timeout="100"
-primitive vg ocf:heartbeat:LVM params volgrpname="clustervg" \\
- op start timeout="30" op stop timeout="30" \\
- meta target-role="Stopped"
-primitive filesys ocf:heartbeat:Filesystem \\
- params directory="/clusterfs" fstype="ocfs2"
device="/dev/clustervg/clusterlv" \\
+ op start timeout="90" op stop timeout="100" \\
+ op monitor interval="60" timeout="60"
+primitive clusterfs ocf:heartbeat:Filesystem \\
+ params directory="/srv/clusterfs" fstype="ocfs2" device="$OCFS2_DEVICE"
\\
op monitor interval="20" timeout="40" \\
- op start timeout="60" op stop timeout="60"
-group clusterfs dlm clvm o2cb cmirror vg filesys
+ op start timeout="60" op stop timeout="60" \\
+ meta target-role="Stopped"
+clone base-clone dlm meta interleave="true"
clone c-clusterfs clusterfs meta interleave="true"
+order base-then-clusterfs inf: base-clone c-clusterfs
+colocation clusterfs-with-base inf: c-clusterfs base-clone
END
crm_configure_load update $tmp_conf
- wait_for_resource "Waiting for O2CB" o2cb:0
- wait_for_stop "Making sure VG is not active" vg:0
+ wait_for_resource "Waiting for DLM" dlm:0
+ wait_for_stop "Making sure filesystem is not active" clusterfs:0
- if pvdisplay $OCFS2_DEVICE >/dev/null 2>&1; then
- if ! confirm "Existing Physical Volume found on $OCFS2_DEVICE -
destroy?"; then
- invoke crm resource stop c-clusterfs
- wait_for_stop "Waiting for resource to stop" c-clusterfs
+ if blkid $OCFS2_DEVICE 2>/dev/null | grep -q TYPE; then
+ if ! confirm "Exiting filesystem found on $OCFS2_DEVICE -
destroy?"; then
+ for res in base-clone c-clusterfs ; do
+ invoke crm resource stop $res
+ wait_for_stop "Waiting for resource to stop"
$res
+ done
invoke crm configure delete \
- dlm clvm cmirror o2cb vg filesys \
- clusterfs c-clusterfs
+ dlm clusterfs \
+ base-group base-clone c-clusterfs \
+ base-then-clusterfs clusterfs-with-base
return
fi
fi
- status_long "Creating LVM Volume"
- # -ff forces create if something already exists
- # (dangerous, but you asked for it...)
- invoke pvcreate -ff -y $OCFS2_DEVICE || error "Failed to create
physical volume on $OCFS2_DEVICE"
- local pvdev=$(pvdisplay $OCFS2_DEVICE | awk '/PV Name/ { print $3; }')
- [ -z "$pvdev" ] && error "Can't determine PV Name on $OCFS2_DEVICE"
- invoke vgcreate --clustered y clustervg $pvdev || error "Failed to
create VG on $pvdev"
- invoke lvcreate --name clusterlv --extents 100%FREE clustervg || error
"Failed to create LV on clustervg"
- local lvdev=$(lvdisplay clustervg | awk '/LV Name/ { print $3; }')
- [ -z "$lvdev" ] && error "Unable to determine LV Name for clustervg"
- status_done
-
status_long "Creating OCFS2 filesystem"
# TODO: want "-T vmstore", but this'll only fly on >2GB partition
# Note: using undocumented '-x' switch to avoid prompting if overwriting
# existing partition. For the commit that introduced this, see:
#
http://oss.oracle.com/git/?p=ocfs2-tools.git;a=commit;h=8345a068479196172190f4fa287052800fa2b66f
- invoke mkfs.ocfs2 -x $lvdev || error "Failed to create OCFS2 filesystem
on $lvdev"
+ invoke mkfs.ocfs2 --cluster-stack pcmk --cluster-name hacluster -x
$OCFS2_DEVICE || error "Failed to create OCFS2 filesystem on $OCFS2_DEVICE"
status_done
# TODO: refactor, maybe
- invoke mkdir -p /clusterfs || error "Can't create mountpoint /clusterfs"
- invoke crm resource meta vg delete target-role \
+ invoke mkdir -p /srv/clusterfs || error "Can't create mountpoint
/srv/clusterfs"
+ invoke crm resource meta clusterfs delete target-role \
|| error "Can't start cluster filesystem clone"
- wait_for_resource "Waiting for /clusterfs to be mounted" filesys:0
+ wait_for_resource "Waiting for /srv/clusterfs to be mounted" clusterfs:0
}
#------------------------------------------------------------------------------
--
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]